#ifndef PM_WRAP_H
#define PM_WRAP_H

#include <parted/parted.h>
#include <gtk/gtk.h>

/*
  read in all available makeable filesystems 
*/

gboolean read_fs_items();

/*
  changes the label of the device
*/

gboolean do_mklabel (PedDevice **dev, PedDiskType *type);

/*
  makes a filesystem on part
*/

gboolean do_mkfs (PedDevice **dev, int part_nr, 
		  gchar *path, PedFileSystemType *type);

/*
  makes a partition using start and end sectors as guidelines
  doesn't make a filesystem
*/

gboolean do_mkpart (PedDevice **dev,PedPartitionType part_type, 
		    PedSector start, PedSector end);

/*
  makes a partition using start and end sectors as guidelines
  does make a filesystem type fs_type
*/

gboolean do_mkpartfs (PedDevice **dev, PedPartitionType part_type, 
		      char *fs_buffer, 
		      int part_nr,
		      PedSector start, PedSector end);
/*
  move the partition part to start-end
*/

gboolean do_move(PedDevice **dev, int part_nr, 
		 gchar *path, 
		 PedSector start, PedSector end);

/*
  change the name of the partition
*/

gboolean do_name(PedDevice **dev,int part_nr, 
		 gchar *name);

/*
  checks if resizing is possible, including the wrapper functions
*/

gboolean check_resize_possible(int part_nr);

/*
  resize the partition part 
  to start-end
*/

gboolean do_resize (PedDevice **dev, int part_nr, 
		    gchar *path, 
		    PedSector start, PedSector end);

/*
  remove the partition num
*/

gboolean do_rm(PedDevice **dev, gint num);

#endif
