#ifndef PM_UI_H
#define PM_UI_H

#define WARNING_MESSAGE_NTFS 1
#define WARNING_MESSAGE_REMOVE 2
#define WARNING_MESSAGE_RESIZE 3

#include <gtk/gtk.h>

void
redirect_stderr_to_pipe(int * saved_fd, int * readable_pipe);

void
unredirect_stderr(int saved_fd, int readable_pipe);

void
show_error_message(gchar * message);

gboolean set_create_fs_option_menu();

void untoggle_create_types();

void untoggle_create_flags();

void show_create_fstype();

void hide_create_fstype();

void show_create_flags();

void hide_create_flags();

void show_busy_cursor( GdkWindow * window);

void show_normal_cursor( GdkWindow * window );

void get_filesystem_list();

gint get_arraynumber_from_partinfo_num(gint num);

struct partinfo_struct *get_partition_from_partinfo_num(gint num);

void tree_selection_changed (GtkTreeSelection *selection, gpointer data);

gboolean click_part_item(GtkWidget *widget, gpointer data);

void update_partition_widget();

void initialise_partinfo(gint i);

gboolean update_partition_list();

void update_interface(gint device);

void set_callback_partition_list();

void refresh_devices_and_partitions();

#endif // PM_UI_H

